# Uses of Interface
org.eclipse.ui.IActionBars2

Packages that use IActionBars2
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IActionBars2 in org.eclipse.ui

Classes in org.eclipse.ui that implement IActionBars2
Modifier and Type
Class
Description
`class`
`SubActionBars2`
A implementation of the extended `IActionBars2` interface.
Methods in org.eclipse.ui that return IActionBars2
Modifier and Type
Method
Description
`protected IActionBars2`
SubActionBars2.`getCastedParent()`
Returns the casted parent of the sub action bars.
Constructors in org.eclipse.ui with parameters of type IActionBars2
Modifier
Constructor
Description
``
`SubActionBars2(IActionBars2 parent)`
Constucts a sub action bars object using an IActionBars2 parent.
``
`SubActionBars2(IActionBars2 parent, IServiceLocator serviceLocator)`
Constucts a sub action bars object using an IActionBars2 parent.

## Uses of IActionBars2 in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IActionBars2
Modifier and Type
Class
Description
`class`
`ActionSetActionBars`
This class represents the action bars for an action set.
`class`
`EditorActionBars`
The action bars for an editor.
`class`
`WWinActionBars`
Constructors in org.eclipse.ui.internal with parameters of type IActionBars2
Modifier
Constructor
Description
``
`ActionSetActionBars(IActionBars2 parent, IServiceLocator serviceLocator, org.eclipse.ui.internal.provisional.application.IActionBarConfigurer2 actionBarConfigurer, String actionSetId)`
Constructs a new action bars object